Bug 168527 - [PATCH] mark devel/cross-binutils BROKEN on powerpc/elf combination
Summary: [PATCH] mark devel/cross-binutils BROKEN on powerpc/elf combination
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-01 14:30 UTC by Michael Scheidell
Modified: 2012-06-01 14:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Scheidell freebsd_committer 2012-06-01 14:30:05 UTC
gmake[4]: Leaving directory `/disk1/tinderbox/portstrees/scheidell/ports/devel/cross-binutils/work/binutils-2.21/binutils'
gmake[3]: *** [install-recursive] Error 1
gmake[3]: Leaving directory `/disk1/tinderbox/portstrees/scheidell/ports/devel/cross-binutils/work/binutils-2.21/binutils'
gmake[2]: *** [install] Error 2
gmake[2]: Leaving directory `/disk1/tinderbox/portstrees/scheidell/ports/devel/cross-binutils/work/binutils-2.21/binutils'
gmake[1]: *** [install-binutils] Error 2
gmake[1]: Leaving directory `/disk1/tinderbox/portstrees/scheidell/ports/devel/cross-binutils/work/binutils-2.21'
gmake: *** [install] Error 2
*** Error code 2

Stop in /disk1/tinderbox/portstrees/scheidell/ports/devel/cross-binutils.

Fix: maybe upgrade to binutils 2.2? anyone with interest in doing this, feel free. this is an unmaintained port.



______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________--XZ2KjjfiUVOi6cOcxIqFsfRsDZXzKPtT6YbIRw6NXPnN7T9J
Content-Type: text/plain; name="binutils.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="binutils.patch"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/cross-binutils/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- Makefile	24 Oct 2011 03:32:49 -0000	1.18
+++ Makefile	1 Jun 2012 13:22:53 -0000
@@ -86,9 +86,11 @@
 .endif
 
 .if !defined(TGTARCH) || !defined(TGTABI)
-PKGNAMEPREFIX=	cross-
 IGNORE=		you should define TGTARCH and TGTABI to build port
 .endif
+.if defined(TGTARCH) && (${TGTABI} == "elf" && ${TGTARCH} == "powerpc")
+IGNORE=		will not build with TGTARCH=powerpc and TGTABI=elf
+.endif
 
 #
 # Macro to fix up info referencies
How-To-Repeat: 
make TGTARCH=powerpc TGTABI=elf install
make TGTARCH=arm TGTABI=elf install is fine.
Comment 1 Michael Scheidell freebsd_committer 2012-06-01 14:32:09 UTC
State Changed
From-To: open->closed

All in and All done.
Comment 2 dfilter service freebsd_committer 2012-06-01 14:36:37 UTC
scheidell    2012-06-01 13:31:30 UTC

  FreeBSD ports repository

  Modified files:
    devel/cross-binutils Makefile 
  Log:
  - Mark BROKEN with powerpc/elf combination (might be all powerpc, don't know)
  
  PR:             ports/168527
  Submitted by:   scheidell@ (me)
  Approved by:    The dancing elves (maintainer)
  
  Revision  Changes    Path
  1.19      +3 -1      ports/devel/cross-binutils/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"